Team
Cancel an App Developer Invite
Cancel a pending invite. Canceling an already canceled invite returns it unchanged.
DELETE
Cancel a pending invite. Canceling an already canceled invite returns it unchanged.
api_keyheader
AuthorizationBasic <token>invite_id*stringID of the invite.
Format
uuidOK
application/json- response
id?stringFormat
uuidemail?stringFormat
emailstatus?stringcreated means the invite is pending.
Value in
"created""accepted""expired""canceled"created?stringFormat
date-timeexpiry?stringFormat
date-timelink?stringLink the invitee opens to accept. It only works for the invited email address.
Format
urirole?|custom when the invite grants a custom role, otherwise a built-in role.
custom_role_id?|Format
uuidExample Request
curl -X DELETE 'https://api.dots.dev/api/v2/developer-invites/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "user@example.com", "status": "created", "created": "2019-08-24T14:15:22Z", "expiry": "2019-08-24T14:15:22Z", "link": "http://example.com", "role": "payer", "custom_role_id": "4f5deddb-3218-41fa-acf0-ef42cdc17a8c"}